org.springframework.data.relational.core.sql

## Interface SelectBuilder.SelectWhereAndOr

All Superinterfaces:
  SelectBuilder.BuildSelect, SelectBuilder.SelectLock, SelectBuilder.SelectOrdered

Enclosing interface:
  SelectBuilder

    public static interface SelectBuilder.SelectWhereAndOr
    extends SelectBuilder.SelectOrdered, SelectBuilder.SelectLock, SelectBuilder.BuildSelect

Interface exposing `AND`/`OR` combinator methods for `WHERE` `Condition`s.

### Method Summary

All Methods Instance Methods Abstract Methods
`SelectBuilder.SelectWhereAndOr` `and(Condition condition)` Combine the previous `WHERE` `Condition` using `AND`.
`SelectBuilder.SelectWhereAndOr` `or(Condition condition)` Combine the previous `WHERE` `Condition` using `OR`.

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.SelectOrdered

`orderBy, orderBy, orderBy`

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.SelectLock

`lock`

### Methods inherited from interface org.springframework.data.relational.core.sql.SelectBuilder.BuildSelect

`build`

### Method Detail

#### and

    SelectBuilder.SelectWhereAndOr and(Condition condition)

Combine the previous `WHERE` `Condition` using `AND`.

Parameters:
  `condition` - the condition, must not be null.
Returns:
  `this` builder.
See Also:
  `Condition.and(Condition)`

#### or

    SelectBuilder.SelectWhereAndOr or(Condition condition)

Combine the previous `WHERE` `Condition` using `OR`.

Parameters:
  `condition` - the condition, must not be null.
Returns:
  `this` builder.
See Also:
  `Condition.or(Condition)`